#include <stdio.h>

#include "jPVM.h"

/* 
 * Test program to find out what sizes of various datatypes are
 * on a particular platform.
 */

void main(int argc, char argv[])
{
  fprintf(stdout, "Checking sizes of various C datatypes:\n");
  fprintf(stdout, "\tsizeof(char) = %d\n", sizeof(char));
  fprintf(stdout, "\tsizeof(short) = %d\n", sizeof(short));
  fprintf(stdout, "\tsizeof(int) = %d\n", sizeof(int));
  fprintf(stdout, "\tsizeof(long) = %d\n", sizeof(long));
  fprintf(stdout, "\tsizeof(long long) = %d\n", sizeof(long long));
  fprintf(stdout, "\tsizeof(float) = %d\n", sizeof(float));
  fprintf(stdout, "\tsizeof(double) = %d\n", sizeof(double));

  fprintf(stdout, "Checking sizes of various Java datatypes:\n");
  fprintf(stdout, "\tsizeof(jboolean) = %d\n", sizeof(jboolean));
  fprintf(stdout, "\tsizeof(jbyte) = %d\n", sizeof(jbyte));
  fprintf(stdout, "\tsizeof(jchar) = %d\n", sizeof(jchar));
  fprintf(stdout, "\tsizeof(jshort) = %d\n", sizeof(jshort));
  fprintf(stdout, "\tsizeof(jint) = %d\n", sizeof(jint));
  fprintf(stdout, "\tsizeof(jlong) = %d\n", sizeof(jlong));
  fprintf(stdout, "\tsizeof(jfloat) = %d\n", sizeof(jfloat));
  fprintf(stdout, "\tsizeof(jdouble) = %d\n", sizeof(jdouble));
}

